<template>
  <div class="col s12 m6 l8">
    <div class="card orange darken-3 bill-card">
      <div class="card-content white-text">
        <div class="card-header">
          <span class="card-title">{{ 'Currency rate' | localization }}</span>
        </div>
        <table>
          <thead>
          <tr>
            <th>{{ 'Currency' | localization }}</th>
            <th>{{ 'Rate' | localization }}</th>
            <th>{{ 'Date' | localization }}</th>
          </tr>
          </thead>

          <tbody>
          <tr v-for="currencyKey in currenciesKeys" :key="currencyKey">
            <td>{{currencyKey}}</td>
            <td>{{currencies.rates[currencyKey]}}</td>
            <td>{{currencies.date | dateFormat('datetime')}}</td>
          </tr>
          </tbody>
        </table>
      </div>
    </div>
  </div>
</template>

<script>
  export default {
    name: "Currency",
    props: ['currencies'],
    computed: {
      currenciesKeys() {
        return Object.keys(this.currencies.rates);
      }
    }
  }
</script>

<style scoped>

</style>